View Issue Details

IDProjectCategoryView StatusLast Update
0004794Kali Linux[All Projects] Kali Package Bugpublic2018-06-20 07:11
ReporterDoberAssigned Tosbrun 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2018.2 
Target VersionFixed in Version 
Summary0004794: gnome-shell stoped work correctly after update from 3.28.1-1 to 3.28.2-1
DescriptionMaybe, this bug is similar to 0004763
On logon screen all working fine. After logon as root, GUI does not react on mouse click or press hotkey. But the cursor is moving fine. Few minutes later (5-10 min), some hotkeys start working again.
If I kill gnome-shell processes (in another tty), mouse clicks start working again, but gnome-shell do not restarting and no Gnome elements on the screen, except windows of running programs.

But if I logon as non-root user, all works fine.
I always tried to reinstall gnome-shell* & gnome-session*, but it didn't fix.

I don't see any similar lines in the log.
Steps To Reproduceapt-get update && apt-get dist-upgrade
reboot
Additional InformationLinux system 4.16.0-kali2-amd64 0000001 SMP Debian 4.16.12-1kali1 (2018-05-28) x86_64 GNU/Linux

ii gnome-shell 3.28.2-1 amd64
ii gnome-shell-common 3.28.2-1 all
ii gnome-shell-extension-better-vo 0.0-git20170425.1a66 all
ii gnome-shell-extension-dashtodoc 63-1 all
ii gnome-shell-extension-disconnec 17-2 all
ii gnome-shell-extension-easyscree 0.10-0kali4 all
ii gnome-shell-extension-multi-mon 0.00~git20171014.1.d all
ii gnome-shell-extension-proxyswit 1.2-0kali5 all
ii gnome-shell-extension-show-ip 8-3 all
ii gnome-shell-extension-workspace 44-0kali3 all
ii gnome-shell-extensions 3.28.1-1kali1 all

ii gnome-session 3.28.1-1 all
ii gnome-session-bin 3.28.1-1 amd64
ii gnome-session-common 3.28.1-1 all
un gnome-session-flashback <none> <none>
ii gnome-settings-daemon 3.28.1-1 amd64

ii gdm3 3.28.2-2

cat /etc/gdm3/daemon.conf
[daemon]
 WaylandEnable=false
[security]
AllowRoot = true

Activities

atdtphreaker

2018-06-10 23:51

reporter   ~0009231

@Dober

I'm experiencing the same issue.

rhertzog

2018-06-13 07:35

administrator   ~0009238

Do you have any errors in the logs/journal?

Have a look at the output of "journalctl" when you have the problematic behaviour.

Is this when running on a real machine or an VM? If on a VM, what kind of VM?

atdtphreaker

2018-06-13 10:01

reporter   ~0009241

@rhertzog

*experiencing same issues as @Dober has stated above.

I had a look at the "journalctl" but am unsure what to look for as what the problematic behaviour could stem from.

I've tried on a dual-boot MacBook Pro, Kali Live w/ persistence (usb) (on MacBook Pro), + Kali Live w/ persistence (usb) on a Compaq Laptop.

(All occurred following an "apt-get update && apt-get upgrade && apt-get dist-upgrade" over a week ago.)


Thank you, I appreciate your time.

atdtphreaker

2018-06-13 12:59

reporter   ~0009243

@rhertzog

Going back using "journalctl", I've found many errors (including the small example seen below) pointing to the gnome-shell.

I hope this helps in some way to reach a solution.



Jun 13 08:40:44 WvEphrkr gnome-shell[1223]: Failed to launch ibus-daemon: Failed to execute child process “ibus-daemon
Jun 13 08:40:44 WvEphrkr dbus-daemon[1128]: [session uid=0 pid=1128] Activating service name='org.gnome.Shell.Calendar
Jun 13 08:40:44 WvEphrkr dbus-daemon[585]: [system] Activating via systemd: service name='org.freedesktop.GeoClue2' un
Jun 13 08:40:44 WvEphrkr systemd[1]: Starting Location Lookup Service...
Jun 13 08:40:44 WvEphrkr dbus-daemon[585]: [system] Activating via systemd: service name='org.freedesktop.Avahi' unit=
Jun 13 08:40:44 WvEphrkr dbus-daemon[585]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.Avahi
Jun 13 08:40:44 WvEphrkr geoclue[1263]: Failed to connect to avahi service: Daemon not running
Jun 13 08:40:44 WvEphrkr dbus-daemon[585]: [system] Successfully activated service 'org.freedesktop.GeoClue2


Thanks again.

Dudley

2018-06-14 03:03

reporter   ~0009245

I have the same problem with the root user only. I can confirm that logging in with a non-root user the problem does not appear.

Running journalctl gives me this response which I also posted at the Kali forums: https://forums.kali.org/attachment.php?attachmentid=3051&d=1528769729

I ran it again but grepping 'gnome' instead of 'error', see attached file. It contains quite a few problems that someone more experienced than me can probably use to troubleshoot.
Hope that helps!

journalctl_gnome.txt (61,101 bytes)
Jun 14 14:28:05 kali dbus-daemon[736]: [session uid=132 pid=736] Activating via systemd: service name='org.a11y.Bus' unit='at-spi-dbus-bus.service' requested by ':1.2' (uid=132 pid=745 comm="/usr/lib/gnome-session/gnome-session-check-acceler")
Jun 14 14:28:05 kali at-spi-bus-launcher[748]: dbus-daemon[753]: Activating service name='org.a11y.atspi.Registry' requested by ':1.0' (uid=132 pid=745 comm="/usr/lib/gnome-session/gnome-session-check-acceler")
Jun 14 14:28:06 kali gnome-session[742]: gnome-session-check-accelerated: GL Helper exited with code 512
Jun 14 14:28:06 kali gnome-session[742]: libEGL warning: DRI2: failed to authenticate
Jun 14 14:28:06 kali gnome-session[742]: gnome-session-check-accelerated: GLES Helper exited with code 512
Jun 14 14:28:06 kali dbus-daemon[431]: [system] Activating via systemd: service name='org.freedesktop.UPower' unit='upower.service' requested by ':1.19' (uid=132 pid=776 comm="/usr/bin/gnome-shell ")
Jun 14 14:28:07 kali dbus-daemon[431]: [system] Activating via systemd: service name='org.freedesktop.locale1' unit='dbus-org.freedesktop.locale1.service' requested by ':1.19' (uid=132 pid=776 comm="/usr/bin/gnome-shell ")
Jun 14 14:28:07 kali gnome-shell[776]: Failed to launch ibus-daemon: Failed to execute child process “ibus-daemon” (No such file or directory)
Jun 14 14:28:08 kali dbus-daemon[431]: [system] Activating via systemd: service name='org.freedesktop.GeoClue2' unit='geoclue.service' requested by ':1.19' (uid=132 pid=776 comm="/usr/bin/gnome-shell ")
Jun 14 14:28:08 kali dbus-daemon[431]: [system] Activating via systemd: service name='org.freedesktop.bolt' unit='bolt.service' requested by ':1.19' (uid=132 pid=776 comm="/usr/bin/gnome-shell ")
Jun 14 14:28:08 kali polkitd(authority=local)[466]: Registered Authentication Agent for unix-session:c1 (system bus name :1.19 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
Jun 14 14:28:08 kali dbus-daemon[431]: [system] Activating via systemd: service name='org.freedesktop.PackageKit' unit='packagekit.service' requested by ':1.19' (uid=132 pid=776 comm="/usr/bin/gnome-shell ")
Jun 14 14:28:08 kali dbus-daemon[431]: [system] Activating via systemd: service name='org.freedesktop.ColorManager' unit='colord.service' requested by ':1.52' (uid=132 pid=843 comm="/usr/lib/gnome-settings-daemon/gsd-color ")
Jun 14 14:28:08 kali gnome-session-binary[742]: Entering running state
Jun 14 14:28:09 kali dbus-daemon[431]: [system] Activating via systemd: service name='org.freedesktop.realmd' unit='realmd.service' requested by ':1.19' (uid=132 pid=776 comm="/usr/bin/gnome-shell ")
Jun 14 14:28:09 kali gnome-shell[776]: Error looking up permission: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.impl.portal.PermissionStore was not provided by any .service files
Jun 14 14:28:10 kali gnome-shell[776]: JS WARNING: [resource:///org/gnome/shell/ui/layout.js 29]: reference to undefined property "MetaWindowX11"
Jun 14 14:28:11 kali gnome-shell[776]: JS WARNING: [resource:///org/gnome/shell/gdm/realmd.js 129]: reference to undefined property "_loginFormat"
Jun 14 14:28:11 kali gnome-shell[776]: JS WARNING: [resource:///org/gnome/shell/gdm/realmd.js 141]: reference to undefined property "_loginFormat"
Jun 14 14:30:36 kali gnome-shell[776]: g_array_unref: assertion 'array' failed
Jun 14 14:30:36 kali gnome-shell[776]: g_array_unref: assertion 'array' failed
Jun 14 14:30:36 kali gnome-shell[776]: g_array_unref: assertion 'array' failed
Jun 14 14:30:36 kali gnome-shell[776]: g_array_unref: assertion 'array' failed
Jun 14 14:30:36 kali gnome-shell[776]: g_array_unref: assertion 'array' failed
Jun 14 14:30:36 kali gnome-shell[776]: g_array_unref: assertion 'array' failed
Jun 14 14:30:36 kali /usr/lib/gdm3/gdm-x-session[976]: dbus-update-activation-environment: setting DESKTOP_SESSION=gnome
Jun 14 14:30:36 kali /usr/lib/gdm3/gdm-x-session[976]: dbus-update-activation-environment: setting XDG_SESSION_DESKTOP=gnome
Jun 14 14:30:36 kali /usr/lib/gdm3/gdm-x-session[976]: dbus-update-activation-environment: setting GDMSESSION=gnome
Jun 14 14:30:36 kali /usr/lib/gdm3/gdm-x-session[976]: dbus-update-activation-environment: setting XDG_DATA_DIRS=/usr/share/gnome:/usr/local/share/:/usr/share/
Jun 14 14:30:36 kali dbus-daemon[971]: [session uid=0 pid=971] Activating via systemd: service name='org.a11y.Bus' unit='at-spi-dbus-bus.service' requested by ':1.7' (uid=0 pid=1086 comm="/usr/lib/gnome-session/gnome-session-check-acceler")
Jun 14 14:30:36 kali at-spi-bus-launcher[1089]: dbus-daemon[1094]: Activating service name='org.a11y.atspi.Registry' requested by ':1.0' (uid=0 pid=1086 comm="/usr/lib/gnome-session/gnome-session-check-acceler")
Jun 14 14:30:37 kali gnome-session[988]: gnome-session-check-accelerated: GL Helper exited with code 512
Jun 14 14:30:37 kali gnome-session[988]: libEGL warning: DRI2: failed to authenticate
Jun 14 14:30:37 kali gnome-session[988]: gnome-session-check-accelerated: GLES Helper exited with code 512
Jun 14 14:30:37 kali gnome-keyring-daemon[969]: failed to unlock login keyring on startup
Jun 14 14:30:37 kali gnome-keyring-ssh.desktop[1112]: SSH_AUTH_SOCK=/run/user/0/keyring/ssh
Jun 14 14:30:37 kali dbus-daemon[971]: [session uid=0 pid=971] Activating via systemd: service name='org.gtk.vfs.Daemon' unit='gvfs-daemon.service' requested by ':1.13' (uid=0 pid=1117 comm="/usr/bin/gnome-shell ")
Jun 14 14:30:38 kali gnome-shell[1117]: Failed to launch ibus-daemon: Failed to execute child process “ibus-daemon” (No such file or directory)
Jun 14 14:30:38 kali dbus-daemon[971]: [session uid=0 pid=971] Activating service name='org.gnome.Shell.CalendarServer' requested by ':1.13' (uid=0 pid=1117 comm="/usr/bin/gnome-shell ")
Jun 14 14:30:38 kali dbus-daemon[971]: [session uid=0 pid=971] Activating via systemd: service name='org.gnome.evolution.dataserver.Sources5' unit='evolution-source-registry.service' requested by ':1.16' (uid=0 pid=1146 comm="/usr/lib/gnome-shell/gnome-shell-calendar-server ")
Jun 14 14:30:38 kali dbus-daemon[971]: [session uid=0 pid=971] Activating service name='org.gnome.OnlineAccounts' requested by ':1.17' (uid=0 pid=1150 comm="/usr/lib/evolution/evolution-source-registry ")
Jun 14 14:30:38 kali dbus-daemon[971]: [session uid=0 pid=971] Successfully activated service 'org.gnome.evolution.dataserver.Sources5'
Jun 14 14:30:38 kali dbus-daemon[971]: [session uid=0 pid=971] Successfully activated service 'org.gnome.Shell.CalendarServer'
Jun 14 14:30:38 kali dbus-daemon[971]: [session uid=0 pid=971] Activating service name='org.gnome.Identity' requested by ':1.18' (uid=0 pid=1159 comm="/usr/lib/gnome-online-accounts/goa-daemon ")
Jun 14 14:30:38 kali dbus-daemon[971]: [session uid=0 pid=971] Successfully activated service 'org.gnome.OnlineAccounts'
Jun 14 14:30:38 kali dbus-daemon[971]: [session uid=0 pid=971] Successfully activated service 'org.gnome.Identity'
Jun 14 14:30:38 kali dbus-daemon[431]: [system] Activating via systemd: service name='org.freedesktop.GeoClue2' unit='geoclue.service' requested by ':1.69' (uid=0 pid=1117 comm="/usr/bin/gnome-shell ")
Jun 14 14:30:38 kali polkitd(authority=local)[466]: Registered Authentication Agent for unix-session:2 (system bus name :1.69 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
Jun 14 14:30:38 kali dbus-daemon[971]: [session uid=0 pid=971] Activating via systemd: service name='org.freedesktop.Telepathy.AccountManager' unit='telepathy-mission-control-5.service' requested by ':1.20' (uid=0 pid=1117 comm="/usr/bin/gnome-shell ")
Jun 14 14:30:38 kali dbus-daemon[971]: [session uid=0 pid=971] Activating via systemd: service name='org.gtk.vfs.UDisks2VolumeMonitor' unit='gvfs-udisks2-volume-monitor.service' requested by ':1.13' (uid=0 pid=1117 comm="/usr/bin/gnome-shell ")
Jun 14 14:30:39 kali dbus-daemon[971]: [session uid=0 pid=971] Activating via systemd: service name='org.gtk.vfs.GoaVolumeMonitor' unit='gvfs-goa-volume-monitor.service' requested by ':1.13' (uid=0 pid=1117 comm="/usr/bin/gnome-shell ")
Jun 14 14:30:39 kali dbus-daemon[971]: [session uid=0 pid=971] Activating via systemd: service name='org.gtk.vfs.MTPVolumeMonitor' unit='gvfs-mtp-volume-monitor.service' requested by ':1.13' (uid=0 pid=1117 comm="/usr/bin/gnome-shell ")
Jun 14 14:30:39 kali dbus-daemon[971]: [session uid=0 pid=971] Activating via systemd: service name='org.gtk.vfs.AfcVolumeMonitor' unit='gvfs-afc-volume-monitor.service' requested by ':1.13' (uid=0 pid=1117 comm="/usr/bin/gnome-shell ")
Jun 14 14:30:39 kali dbus-daemon[971]: [session uid=0 pid=971] Activating via systemd: service name='org.gtk.vfs.GPhoto2VolumeMonitor' unit='gvfs-gphoto2-volume-monitor.service' requested by ':1.13' (uid=0 pid=1117 comm="/usr/bin/gnome-shell ")
Jun 14 14:30:39 kali dbus-daemon[971]: [session uid=0 pid=971] Activating service name='ca.desrt.dconf' requested by ':1.34' (uid=0 pid=1297 comm="gsettings set org.gnome.desktop.media-handling aut")
Jun 14 14:30:39 kali dbus-daemon[431]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service' requested by ':1.81' (uid=0 pid=1277 comm="/usr/lib/gnome-settings-daemon/gsd-rfkill ")
Jun 14 14:30:39 kali gsd-xsettings[1286]: Failed to get current display configuration state: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Name "org.gnome.Mutter.DisplayConfig" does not exist
Jun 14 14:30:39 kali gsd-sharing[1279]: Failed to StopUnit service: GDBus.Error:org.freedesktop.systemd1.NoSuchUnit: Unit gnome-remote-desktop.service not loaded.
Jun 14 14:30:40 kali gnome-shell[1117]: Attempting to add actor of type 'StScrollView' to a container of type 'StBoxLayout', but the actor has already a parent of type 'StBoxLayout'.
Jun 14 14:30:40 kali dbus-daemon[971]: [session uid=0 pid=971] Activating via systemd: service name='org.gnome.zeitgeist.Engine' unit='zeitgeist.service' requested by ':1.50' (uid=0 pid=1385 comm="zeitgeist-datahub ")
Jun 14 14:30:40 kali gnome-session-binary[988]: Entering running state
Jun 14 14:30:40 kali dbus-daemon[971]: [session uid=0 pid=971] Activating via systemd: service name='org.gnome.Terminal' unit='gnome-terminal-server.service' requested by ':1.52' (uid=0 pid=1382 comm="gnome-terminal ")
Jun 14 14:30:40 kali dbus-daemon[971]: [session uid=0 pid=971] Activating via systemd: service name='org.gnome.zeitgeist.SimpleIndexer' unit='zeitgeist-fts.service' requested by ':1.57' (uid=0 pid=1424 comm="/usr/bin/zeitgeist-daemon ")
Jun 14 14:30:40 kali dbus-daemon[971]: [session uid=0 pid=971] Successfully activated service 'org.gnome.zeitgeist.Engine'
Jun 14 14:30:40 kali dbus-daemon[431]: [system] Activating via systemd: service name='org.freedesktop.locale1' unit='dbus-org.freedesktop.locale1.service' requested by ':1.90' (uid=0 pid=1328 comm="/usr/lib/gnome-settings-daemon/gsd-keyboard ")
Jun 14 14:30:40 kali zeitgeist-datah[1449]: zeitgeist-datahub.vala:224: Unable to get name "org.gnome.zeitgeist.datahub" on the bus!
Jun 14 14:30:41 kali dbus-daemon[971]: [session uid=0 pid=971] Successfully activated service 'org.gnome.zeitgeist.SimpleIndexer'
Jun 14 14:30:41 kali dbus-daemon[971]: [session uid=0 pid=971] Successfully activated service 'org.gnome.Terminal'
Jun 14 14:30:42 kali gnome-software[1391]: plugin appstream took 1.6 seconds to do setup
Jun 14 14:30:42 kali gnome-software[1391]: enabled plugins: packagekit, packagekit-offline, packagekit-refresh, packagekit-refine-repos, packagekit-upgrade, desktop-categories, systemd-updates, packagekit-url-to-app, os-release, packagekit-local, shell-extensions, fwupd, packagekit-proxy, appstream, hardcoded-blacklist, generic-updates, steam, packagekit-refine, rewrite-resource, hardcoded-popular, hardcoded-featured, odrs, modalias, desktop-menu-path, provenance, packagekit-history, icons, provenance-license, key-colors, key-colors-metadata
Jun 14 14:30:42 kali gnome-software[1391]: disabled plugins: repos, dummy, dpkg, epiphany
Jun 14 14:30:42 kali gnome-software[1391]: failed to call gs_plugin_add_updates_historical on fwupd: The name org.freedesktop.fwupd was not provided by any .service files
Jun 14 14:30:42 kali gnome-shell[1117]: loading user theme: /usr/share//themes/Kali-X/gnome-shell/gnome-shell.css
Jun 14 14:30:43 kali gnome-shell[1117]: Some code accessed the property 'DockedWorkspaces' on the module 'dockedWorkspaces'. That property was defined with 'let' or 'const' inside the module. This was previously supported, but is not correct according to the ES6 standard. Any symbols to be exported from a module must be defined with 'var'. The property access will work as previously for the time being, but please fix your code anyway.
Jun 14 14:30:43 kali gnome-shell[1117]: Some code accessed the property 'globalSignalHandler' on the module 'convenience'. That property was defined with 'let' or 'const' inside the module. This was previously supported, but is not correct according to the ES6 standard. Any symbols to be exported from a module must be defined with 'var'. The property access will work as previously for the time being, but please fix your code anyway.
Jun 14 14:30:43 kali gnome-shell[1117]: Some code accessed the property 'MAX_THUMBNAIL_SCALE' on the module 'workspaceThumbnail'. That property was defined with 'let' or 'const' inside the module. This was previously supported, but is not correct according to the ES6 standard. Any symbols to be exported from a module must be defined with 'var'. The property access will work as previously for the time being, but please fix your code anyway.
Jun 14 14:30:43 kali gnome-shell[1117]: Some code accessed the property 'myThumbnailsBox' on the module 'myWorkspaceThumbnail'. That property was defined with 'let' or 'const' inside the module. This was previously supported, but is not correct according to the ES6 standard. Any symbols to be exported from a module must be defined with 'var'. The property access will work as previously for the time being, but please fix your code anyway.
Jun 14 14:30:43 kali gnome-shell[1117]: Some code accessed the property 'ShortcutsPanel' on the module 'shortcutsPanel'. That property was defined with 'let' or 'const' inside the module. This was previously supported, but is not correct according to the ES6 standard. Any symbols to be exported from a module must be defined with 'var'. The property access will work as previously for the time being, but please fix your code anyway.
Jun 14 14:30:43 kali gnome-shell[1117]: Some code accessed the property 'PlacesManager' on the module 'placeDisplay'. That property was defined with 'let' or 'const' inside the module. This was previously supported, but is not correct according to the ES6 standard. Any symbols to be exported from a module must be defined with 'var'. The property access will work as previously for the time being, but please fix your code anyway.
Jun 14 14:30:43 kali gnome-shell[1117]: JS WARNING: [/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js 1089]: reference to undefined property "_porthole"
Jun 14 14:30:43 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is undefined
                                        myThumbnailsBox<._getPreferredWidth@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1089:17
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._getPreferredWidth@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:195:37
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        findIndexForActor@resource:///org/gnome/shell/ui/layout.js:920:22
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        findMonitorForActor@resource:///org/gnome/shell/ui/layout.js:926:21
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _updateActorVisibility@resource:///org/gnome/shell/ui/layout.js:894:23
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _trackActor@resource:///org/gnome/shell/ui/layout.js:871:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        DockedWorkspaces<._init@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:560:17
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _Base.prototype._construct@resource:///org/gnome/gjs/modules/_legacy.js:18:5
                                        Class.prototype._construct/newClass@resource:///org/gnome/gjs/modules/_legacy.js:114:32
                                        enable@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/extension.js:97:12
                                        enableExtension@resource:///org/gnome/shell/ui/extensionSystem.js:129:9
                                        loadExtension@resource:///org/gnome/shell/ui/extensionSystem.js:171:17
                                        _loadExtensions/<@resource:///org/gnome/shell/ui/extensionSystem.js:318:9
                                        _emit@resource:///org/gnome/gjs/modules/signals.js:128:27
                                        _loadExtension@resource:///org/gnome/shell/misc/extensionUtils.js:184:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        scanExtensions/<@resource:///org/gnome/shell/misc/extensionUtils.js:190:13
                                        collectFromDatadirs@resource:///org/gnome/shell/misc/fileUtils.js:27:17
                                        scanExtensions@resource:///org/gnome/shell/misc/extensionUtils.js:189:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _loadExtensions@resource:///org/gnome/shell/ui/extensionSystem.js:320:5
                                        enableAllExtensions@resource:///org/gnome/shell/ui/extensionSystem.js:328:9
                                        _sessionUpdated@resource:///org/gnome/shell/ui/extensionSystem.js:359:9
                                        init@resource:///org/gnome/shell/ui/extensionSystem.js:367:5
                                        _initializeUI@resource:///org/gnome/shell/ui/main.js:229:5
                                        start@resource:///org/gnome/shell/ui/main.js:133:5
Jun 14 14:30:43 kali gnome-shell[1117]: JS WARNING: [/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js 1051]: reference to undefined property "_porthole"
Jun 14 14:30:43 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is undefined
                                        myThumbnailsBox<._getPreferredHeight@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1051:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._getPreferredHeight@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:209:38
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        findIndexForActor@resource:///org/gnome/shell/ui/layout.js:920:22
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        findMonitorForActor@resource:///org/gnome/shell/ui/layout.js:926:21
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _updateActorVisibility@resource:///org/gnome/shell/ui/layout.js:894:23
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _trackActor@resource:///org/gnome/shell/ui/layout.js:871:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        DockedWorkspaces<._init@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:560:17
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _Base.prototype._construct@resource:///org/gnome/gjs/modules/_legacy.js:18:5
                                        Class.prototype._construct/newClass@resource:///org/gnome/gjs/modules/_legacy.js:114:32
                                        enable@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/extension.js:97:12
                                        enableExtension@resource:///org/gnome/shell/ui/extensionSystem.js:129:9
                                        loadExtension@resource:///org/gnome/shell/ui/extensionSystem.js:171:17
                                        _loadExtensions/<@resource:///org/gnome/shell/ui/extensionSystem.js:318:9
                                        _emit@resource:///org/gnome/gjs/modules/signals.js:128:27
                                        _loadExtension@resource:///org/gnome/shell/misc/extensionUtils.js:184:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        scanExtensions/<@resource:///org/gnome/shell/misc/extensionUtils.js:190:13
                                        collectFromDatadirs@resource:///org/gnome/shell/misc/fileUtils.js:27:17
                                        scanExtensions@resource:///org/gnome/shell/misc/extensionUtils.js:189:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _loadExtensions@resource:///org/gnome/shell/ui/extensionSystem.js:320:5
                                        enableAllExtensions@resource:///org/gnome/shell/ui/extensionSystem.js:328:9
                                        _sessionUpdated@resource:///org/gnome/shell/ui/extensionSystem.js:359:9
                                        init@resource:///org/gnome/shell/ui/extensionSystem.js:367:5
                                        _initializeUI@resource:///org/gnome/shell/ui/main.js:229:5
                                        start@resource:///org/gnome/shell/ui/main.js:133:5
Jun 14 14:30:43 kali gnome-shell[1117]: Some code accessed the property 'Intellihide' on the module 'intellihide'. That property was defined with 'let' or 'const' inside the module. This was previously supported, but is not correct according to the ES6 standard. Any symbols to be exported from a module must be defined with 'var'. The property access will work as previously for the time being, but please fix your code anyway.
Jun 14 14:30:43 kali dbus-daemon[971]: [session uid=0 pid=971] Activating via systemd: service name='org.gnome.evolution.dataserver.Calendar7' unit='evolution-calendar-factory.service' requested by ':1.16' (uid=0 pid=1146 comm="/usr/lib/gnome-shell/gnome-shell-calendar-server ")
Jun 14 14:30:43 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is undefined
                                        myThumbnailsBox<._getPreferredHeight@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1051:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._getPreferredWidth@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:195:37
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _init/<@resource:///org/gnome/shell/ui/layout.js:209:17
                                        _loadBackground/signalId<@resource:///org/gnome/shell/ui/layout.js:589:13
                                        _emit@resource:///org/gnome/gjs/modules/signals.js:128:27
                                        _init/id<@resource:///org/gnome/shell/ui/background.js:522:17
Jun 14 14:30:43 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is undefined
                                        myThumbnailsBox<._getPreferredWidth@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1089:17
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._getPreferredWidth@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:195:37
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _init/<@resource:///org/gnome/shell/ui/layout.js:209:17
                                        _loadBackground/signalId<@resource:///org/gnome/shell/ui/layout.js:589:13
                                        _emit@resource:///org/gnome/gjs/modules/signals.js:128:27
                                        _init/id<@resource:///org/gnome/shell/ui/background.js:522:17
Jun 14 14:30:43 kali gnome-software[1391]: internal error: failed, but no error code: cancelled-priority
Jun 14 14:30:43 kali gnome-software[1391]: not GsPlugin error from plugin fwupd FwupdError:10: The name org.freedesktop.fwupd was not provided by any .service files
Jun 14 14:30:43 kali gnome-software[1391]: failed to call gs_plugin_refresh on fwupd: The name org.freedesktop.fwupd was not provided by any .service files
Jun 14 14:30:43 kali gnome-software[1391]: failed to call gs_plugin_add_updates on fwupd: The name org.freedesktop.fwupd was not provided by any .service files
Jun 14 14:30:43 kali gnome-software[1391]: failed to get featured apps: no apps to show
Jun 14 14:30:43 kali gnome-software[1391]: hiding category games featured applications: found only 0 to show, need at least 9
Jun 14 14:30:43 kali gnome-software[1391]: hiding category audio-video featured applications: found only 0 to show, need at least 9
Jun 14 14:30:43 kali gnome-software[1391]: Only 0 apps for popular list, hiding
Jun 14 14:30:43 kali gnome-software[1391]: Only 0 apps for recent list, hiding
Jun 14 14:30:43 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is undefined
                                        myThumbnailsBox<._getPreferredWidth@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1089:17
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._allocate@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:187:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _init/<@resource:///org/gnome/shell/ui/layout.js:209:17
                                        _loadBackground/signalId<@resource:///org/gnome/shell/ui/layout.js:589:13
                                        _emit@resource:///org/gnome/gjs/modules/signals.js:128:27
                                        _init/id<@resource:///org/gnome/shell/ui/background.js:522:17
Jun 14 14:30:44 kali gnome-shell[1117]: Some code accessed the property 'ThumbnailCaption' on the module 'thumbnailCaption'. That property was defined with 'let' or 'const' inside the module. This was previously supported, but is not correct according to the ES6 standard. Any symbols to be exported from a module must be defined with 'var'. The property access will work as previously for the time being, but please fix your code anyway.
Jun 14 14:30:44 kali gnome-shell[1117]: Some code accessed the property 'OVERRIDE_SCHEMA' on the module 'myWorkspaceThumbnail'. That property was defined with 'let' or 'const' inside the module. This was previously supported, but is not correct according to the ES6 standard. Any symbols to be exported from a module must be defined with 'var'. The property access will work as previously for the time being, but please fix your code anyway.
Jun 14 14:30:44 kali gnome-shell[1117]: JS WARNING: [/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js 953]: reference to undefined property "_porthole"
Jun 14 14:30:44 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is undefined
                                        myThumbnailsBox<.addThumbnails@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:953:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        myThumbnailsBox<._createThumbnails@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:869:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        DockedWorkspaces<._initialize@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:574:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _loadBackground/signalId<@resource:///org/gnome/shell/ui/layout.js:589:13
                                        _emit@resource:///org/gnome/gjs/modules/signals.js:128:27
                                        _init/id<@resource:///org/gnome/shell/ui/background.js:522:17
Jun 14 14:30:44 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is undefined
                                        myThumbnailsBox<._getPreferredWidth@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1089:17
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._allocate@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:187:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _init/<@resource:///org/gnome/shell/ui/layout.js:209:17
                                        _updateRegions@resource:///org/gnome/shell/ui/layout.js:978:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        DockedWorkspaces<._overrideGnomeShellFunctions/Layout.LayoutManager.prototype._updateRegions@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:682:23
                                        _prepareStartupAnimation@resource:///org/gnome/shell/ui/layout.js:631:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _loadBackground/signalId<@resource:///org/gnome/shell/ui/layout.js:591:13
                                        _emit@resource:///org/gnome/gjs/modules/signals.js:128:27
                                        _init/id<@resource:///org/gnome/shell/ui/background.js:522:17
Jun 14 14:30:44 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is undefined
                                        myThumbnailsBox<._getPreferredHeight@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1051:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._allocate@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:187:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _init/<@resource:///org/gnome/shell/ui/layout.js:209:17
                                        _updateRegions@resource:///org/gnome/shell/ui/layout.js:978:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        DockedWorkspaces<._overrideGnomeShellFunctions/Layout.LayoutManager.prototype._updateRegions@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:682:23
                                        _prepareStartupAnimation@resource:///org/gnome/shell/ui/layout.js:631:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _loadBackground/signalId<@resource:///org/gnome/shell/ui/layout.js:591:13
                                        _emit@resource:///org/gnome/gjs/modules/signals.js:128:27
                                        _init/id<@resource:///org/gnome/shell/ui/background.js:522:17
Jun 14 14:30:44 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is undefined
                                        myThumbnailsBox<._getPreferredWidth@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1089:17
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._allocate@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:187:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _init/<@resource:///org/gnome/shell/ui/layout.js:209:17
                                        _updateRegions@resource:///org/gnome/shell/ui/layout.js:978:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        DockedWorkspaces<._overrideGnomeShellFunctions/Layout.LayoutManager.prototype._updateRegions@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:682:23
                                        _prepareStartupAnimation@resource:///org/gnome/shell/ui/layout.js:631:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _loadBackground/signalId<@resource:///org/gnome/shell/ui/layout.js:591:13
                                        _emit@resource:///org/gnome/gjs/modules/signals.js:128:27
                                        _init/id<@resource:///org/gnome/shell/ui/background.js:522:17
Jun 14 14:30:44 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is undefined
                                        myThumbnailsBox<._getPreferredHeight@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1051:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._allocate@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:187:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _init/<@resource:///org/gnome/shell/ui/layout.js:209:17
                                        _updateRegions@resource:///org/gnome/shell/ui/layout.js:978:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        DockedWorkspaces<._overrideGnomeShellFunctions/Layout.LayoutManager.prototype._updateRegions@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:682:23
                                        _prepareStartupAnimation@resource:///org/gnome/shell/ui/layout.js:631:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _loadBackground/signalId<@resource:///org/gnome/shell/ui/layout.js:591:13
                                        _emit@resource:///org/gnome/gjs/modules/signals.js:128:27
                                        _init/id<@resource:///org/gnome/shell/ui/background.js:522:17
Jun 14 14:30:44 kali gnome-shell[1117]: JS WARNING: [resource:///org/gnome/shell/ui/workspaceThumbnail.js 918]: reference to undefined property "_workareasChangedId"
Jun 14 14:30:44 kali gnome-shell[1117]: JS ERROR: Exception in callback for signal: loaded: TypeError: this._porthole is null
                                        myThumbnailsBox<.addThumbnails@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:953:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        myThumbnailsBox<._createThumbnails@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:869:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        DockedWorkspaces<._refreshThumbnails@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:2400:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        DockedWorkspaces<._overrideGnomeShellFunctions/Layout.LayoutManager.prototype._updateRegions@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:687:17
                                        _prepareStartupAnimation@resource:///org/gnome/shell/ui/layout.js:631:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _loadBackground/signalId<@resource:///org/gnome/shell/ui/layout.js:591:13
                                        _emit@resource:///org/gnome/gjs/modules/signals.js:128:27
                                        _init/id<@resource:///org/gnome/shell/ui/background.js:522:17
Jun 14 14:30:44 kali dbus-daemon[971]: [session uid=0 pid=971] Successfully activated service 'org.gnome.evolution.dataserver.Calendar7'
Jun 14 14:30:44 kali dbus-daemon[431]: [system] Activating via systemd: service name='org.freedesktop.GeoClue2' unit='geoclue.service' requested by ':1.69' (uid=0 pid=1117 comm="/usr/bin/gnome-shell ")
Jun 14 14:30:44 kali gnome-shell[1117]: Error looking up permission: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.impl.portal.PermissionStore was not provided by any .service files
Jun 14 14:30:45 kali gnome-shell[1117]: STACK_OP_ADD: window 0x2400001 already in stack
Jun 14 14:30:45 kali gnome-shell[1117]: STACK_OP_ADD: window 0x2400001 already in stack
Jun 14 14:30:45 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is null
                                        myThumbnailsBox<.addThumbnails@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:953:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        myThumbnailsBox<._onWorkspaceAdded@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:666:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _moveWindow@/usr/share/gnome-shell/extensions/auto-move-windows@gnome-shell-extensions.gcampax.github.com/extension.js:84:13
                                        _appWindowsChanged/<@/usr/share/gnome-shell/extensions/auto-move-windows@gnome-shell-extensions.gcampax.github.com/extension.js:104:13
                                        _appWindowsChanged@/usr/share/gnome-shell/extensions/auto-move-windows@gnome-shell-extensions.gcampax.github.com/extension.js:103:9
Jun 14 14:30:45 kali dbus-daemon[971]: [session uid=0 pid=971] Activating via systemd: service name='org.gnome.evolution.dataserver.AddressBook9' unit='evolution-addressbook-factory.service' requested by ':1.68' (uid=0 pid=1563 comm="/usr/lib/evolution/evolution-calendar-factory-subp")
Jun 14 14:30:45 kali dbus-daemon[971]: [session uid=0 pid=971] Successfully activated service 'org.gnome.evolution.dataserver.AddressBook9'
Jun 14 14:30:46 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is null
                                        myThumbnailsBox<.addThumbnails@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:953:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        myThumbnailsBox<._onWorkspaceAdded@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:666:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _checkWorkspaces@resource:///org/gnome/shell/ui/windowManager.js:278:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
Jun 14 14:30:47 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is null
                                        myThumbnailsBox<._getPreferredWidth@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1089:17
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._allocate@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:187:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _init/<@resource:///org/gnome/shell/ui/layout.js:209:17
Jun 14 14:30:47 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is null
                                        myThumbnailsBox<._getPreferredHeight@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1051:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._allocate@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:187:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _init/<@resource:///org/gnome/shell/ui/layout.js:209:17
Jun 14 14:30:47 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is null
                                        myThumbnailsBox<._getPreferredWidth@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1089:17
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._allocate@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:187:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _init/<@resource:///org/gnome/shell/ui/layout.js:209:17
Jun 14 14:30:47 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is null
                                        myThumbnailsBox<._getPreferredHeight@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1051:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._allocate@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:187:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _init/<@resource:///org/gnome/shell/ui/layout.js:209:17
Jun 14 14:30:47 kali gnome-shell[1117]: Some code accessed the property 'workspacesToDockStylesheet' on the module 'extension'. That property was defined with 'let' or 'const' inside the module. This was previously supported, but is not correct according to the ES6 standard. Any symbols to be exported from a module must be defined with 'var'. The property access will work as previously for the time being, but please fix your code anyway.
Jun 14 14:30:47 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is null
                                        myThumbnailsBox<._getPreferredWidth@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1089:17
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._allocate@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:187:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _init/<@resource:///org/gnome/shell/ui/layout.js:209:17
Jun 14 14:30:47 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is null
                                        myThumbnailsBox<._getPreferredHeight@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1051:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._allocate@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:187:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _init/<@resource:///org/gnome/shell/ui/layout.js:209:17
Jun 14 14:30:47 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is null
                                        myThumbnailsBox<._getPreferredWidth@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1089:17
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._allocate@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:187:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _init/<@resource:///org/gnome/shell/ui/layout.js:209:17
Jun 14 14:30:47 kali gnome-shell[1117]: JS ERROR: TypeError: this._porthole is null
                                        myThumbnailsBox<._getPreferredHeight@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/myWorkspaceThumbnail.js:1051:13
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        ThumbnailsSlider<._allocate@/usr/share/gnome-shell/extensions/workspaces-to-dock@passingthru67.gmail.com/dockedWorkspaces.js:187:9
                                        wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                        _init/<@resource:///org/gnome/shell/ui/layout.js:209:17
Jun 14 14:31:05 kali gnome-software[1391]: Failed to find one package for kali-fping.desktop, /usr/share/applications/kali-fping.desktop, [0]
Jun 14 14:31:05 kali gnome-software[1391]: Failed to find one package for kali-iaxflood.desktop, /usr/share/applications/kali-iaxflood.desktop, [0]
Jun 14 14:31:05 kali gnome-software[1391]: Failed to find one package for kali-fierce.desktop, /usr/share/applications/kali-fierce.desktop, [0]
Jun 14 14:31:06 kali gnome-software[1391]: Failed to find one package for kali-netdiscover.desktop, /usr/share/applications/kali-netdiscover.desktop, [0]
Jun 14 14:31:06 kali gnome-software[1391]: Failed to find one package for kali-dhcpig.desktop, /usr/share/applications/kali-dhcpig.desktop, [0]
Jun 14 14:31:07 kali gnome-software[1391]: Failed to find one package for kali-wol-e.desktop, /usr/share/applications/kali-wol-e.desktop, [0]
Jun 14 14:31:07 kali gnome-software[1391]: Failed to find one package for kali-jboss-autopwn-linux.desktop, /usr/share/applications/kali-jboss-autopwn-linux.desktop, [0]
Jun 14 14:31:07 kali gnome-software[1391]: Failed to find one package for kali-jad.desktop, /usr/share/applications/kali-jad.desktop, [0]
Jun 14 14:31:08 kali gnome-software[1391]: Failed to find one package for kali-clusterd.desktop, /usr/share/applications/kali-clusterd.desktop, [0]
Jun 14 14:31:08 kali gnome-software[1391]: Failed to find one package for kali-stunnel.desktop, /usr/share/applications/kali-stunnel.desktop, [0]
Jun 14 14:31:08 kali gnome-software[1391]: Failed to find one package for kali-cmospwd.desktop, /usr/share/applications/kali-cmospwd.desktop, [0]
Jun 14 14:31:09 kali gnome-software[1391]: Failed to find one package for kali-plecost.desktop, /usr/share/applications/kali-plecost.desktop, [0]
Jun 14 14:31:09 kali gnome-software[1391]: Failed to find one package for kali-msfpc.desktop, /usr/share/applications/kali-msfpc.desktop, [0]
Jun 14 14:31:10 kali gnome-software[1391]: Failed to find one package for kali-cisco-ocs.desktop, /usr/share/applications/kali-cisco-ocs.desktop, [0]
Jun 14 14:31:11 kali gnome-software[1391]: Failed to find one package for kali-affcat.desktop, /usr/share/applications/kali-affcat.desktop, [0]
Jun 14 14:31:11 kali gnome-software[1391]: Failed to find one package for kali-readpst.desktop, /usr/share/applications/kali-readpst.desktop, [0]
Jun 14 14:31:12 kali gnome-software[1391]: Failed to find one package for kali-eapmd5pass.desktop, /usr/share/applications/kali-eapmd5pass.desktop, [0]
Jun 14 14:31:13 kali gnome-software[1391]: Failed to find one package for kali-davtest.desktop, /usr/share/applications/kali-davtest.desktop, [0]
Jun 14 14:31:13 kali gnome-software[1391]: Failed to find one package for kali-pipal.desktop, /usr/share/applications/kali-pipal.desktop, [0]
Jun 14 14:31:14 kali gnome-software[1391]: Failed to find one package for kali-sslyze.desktop, /usr/share/applications/kali-sslyze.desktop, [0]
Jun 14 14:31:14 kali gnome-software[1391]: Failed to find one package for kali-miredo.desktop, /usr/share/applications/kali-miredo.desktop, [0]
Jun 14 14:31:15 kali gnome-software[1391]: Failed to find one package for kali-ssldump.desktop, /usr/share/applications/kali-ssldump.desktop, [0]
Jun 14 14:31:15 kali gnome-software[1391]: Failed to find one package for kali-sctpscan.desktop, /usr/share/applications/kali-sctpscan.desktop, [0]
Jun 14 14:31:15 kali gnome-software[1391]: Failed to find one package for kali-proxystrike.desktop, /usr/share/applications/kali-proxystrike.desktop, [0]
Jun 14 14:31:16 kali gnome-software[1391]: Failed to find one package for kali-spike-generic-send-tcp.desktop, /usr/share/applications/kali-spike-generic-send-tcp.desktop, [0]
Jun 14 14:31:16 kali gnome-software[1391]: Failed to find one package for kali-chkrootkit.desktop, /usr/share/applications/kali-chkrootkit.desktop, [0]
Jun 14 14:31:16 kali gnome-software[1391]: Failed to find one package for kali-dnschef.desktop, /usr/share/applications/kali-dnschef.desktop, [0]
Jun 14 14:31:17 kali gnome-software[1391]: Failed to find one package for kali-set.desktop, /usr/share/applications/kali-set.desktop, [0]
Jun 14 14:31:17 kali gnome-software[1391]: Failed to find one package for kali-keimpx.desktop, /usr/share/applications/kali-keimpx.desktop, [0]
Jun 14 14:31:17 kali gnome-software[1391]: Failed to find one package for kali-thcping6.desktop, /usr/share/applications/kali-thcping6.desktop, [0]
Jun 14 14:31:18 kali gnome-software[1391]: Failed to find one package for kali-udptunnel.desktop, /usr/share/applications/kali-udptunnel.desktop, [0]
Jun 14 14:31:18 kali gnome-software[1391]: Failed to find one package for kali-ophcrack.desktop, /usr/share/applications/kali-ophcrack.desktop, [0]
Jun 14 14:31:19 kali gnome-software[1391]: Failed to find one package for kali-hashcat.desktop, /usr/share/applications/kali-hashcat.desktop, [0]
Jun 14 14:31:19 kali gnome-software[1391]: Failed to find one package for kali-blueranger.desktop, /usr/share/applications/kali-blueranger.desktop, [0]
Jun 14 14:31:20 kali gnome-software[1391]: Failed to find one package for kali-openvas-stop.desktop, /usr/share/applications/kali-openvas-stop.desktop, [0]
Jun 14 14:31:20 kali gnome-software[1391]: Failed to find one package for kali-unicornscan.desktop, /usr/share/applications/kali-unicornscan.desktop, [0]
Jun 14 14:31:21 kali gnome-software[1391]: Failed to find one package for kali-dnmap-client.desktop, /usr/share/applications/kali-dnmap-client.desktop, [0]
Jun 14 14:31:21 kali gnome-software[1391]: Failed to find one package for kali-spooftooph.desktop, /usr/share/applications/kali-spooftooph.desktop, [0]
Jun 14 14:31:22 kali gnome-software[1391]: Failed to find one package for kali-automater.desktop, /usr/share/applications/kali-automater.desktop, [0]
Jun 14 14:31:22 kali gnome-software[1391]: Failed to find one package for kali-fragrouter.desktop, /usr/share/applications/kali-fragrouter.desktop, [0]
Jun 14 14:31:22 kali gnome-software[1391]: Failed to find one package for kali-recoverjpeg.desktop, /usr/share/applications/kali-recoverjpeg.desktop, [0]
Jun 14 14:31:23 kali gnome-software[1391]: Failed to find one package for kali-magicrescue.desktop, /usr/share/applications/kali-magicrescue.desktop, [0]
Jun 14 14:31:23 kali gnome-software[1391]: Failed to find one package for kali-clang.desktop, /usr/share/applications/kali-clang.desktop, [0]
Jun 14 14:31:23 kali gnome-software[1391]: Failed to find one package for kali-pwnat.desktop, /usr/share/applications/kali-pwnat.desktop, [0]
Jun 14 14:31:24 kali gnome-software[1391]: Failed to find one package for kali-maskgen.desktop, /usr/share/applications/kali-maskgen.desktop, [0]
Jun 14 14:31:24 kali gnome-software[1391]: Failed to find one package for kali-pth-rpcclient.desktop, /usr/share/applications/kali-pth-rpcclient.desktop, [0]
Jun 14 14:31:24 kali gnome-software[1391]: Failed to find one package for kali-dcfldd.desktop, /usr/share/applications/kali-dcfldd.desktop, [0]
Jun 14 14:31:25 kali gnome-software[1391]: Failed to find one package for kali-findmyhash.desktop, /usr/share/applications/kali-findmyhash.desktop, [0]
Jun 14 14:31:26 kali gnome-software[1391]: Failed to find one package for kali-ncat.desktop, /usr/share/applications/kali-ncat.desktop, [0]
Jun 14 14:31:26 kali gnome-software[1391]: Failed to find one package for kali-pyrit.desktop, /usr/share/applications/kali-pyrit.desktop, [0]
Jun 14 14:31:26 kali gnome-software[1391]: Failed to find one package for kali-sparta.desktop, /usr/share/applications/kali-sparta.desktop, [0]
Jun 14 14:31:27 kali gnome-software[1391]: Failed to find one package for kali-regripper.desktop, /usr/share/applications/kali-regripper.desktop, [0]
Jun 14 14:31:27 kali gnome-software[1391]: Failed to find one package for kali-icat-sleuthkit.desktop, /usr/share/applications/kali-icat-sleuthkit.desktop, [0]
Jun 14 14:31:28 kali gnome-software[1391]: Failed to find one package for kali-zbdsniff.desktop, /usr/share/applications/kali-zbdsniff.desktop, [0]
Jun 14 14:31:29 kali gnome-software[1391]: Failed to find one package for kali-missidentify.desktop, /usr/share/applications/kali-missidentify.desktop, [0]
Jun 14 14:31:30 kali gnome-software[1391]: Failed to find one package for kali-wfuzz.desktop, /usr/share/applications/kali-wfuzz.desktop, [0]
Jun 14 14:31:30 kali gnome-software[1391]: Failed to find one package for kali-ohrwurm.desktop, /usr/share/applications/kali-ohrwurm.desktop, [0]
Jun 14 14:31:31 kali gnome-software[1391]: Failed to find one package for kali-guymager.desktop, /usr/share/applications/kali-guymager.desktop, [0]
Jun 14 14:31:31 kali gnome-software[1391]: Failed to find one package for kali-fiked.desktop, /usr/share/applications/kali-fiked.desktop, [0]
Jun 14 14:31:32 kali gnome-software[1391]: Failed to find one package for kali-pth-winexe.desktop, /usr/share/applications/kali-pth-winexe.desktop, [0]
Jun 14 14:31:32 kali gnome-software[1391]: Failed to find one package for kali-rebind.desktop, /usr/share/applications/kali-rebind.desktop, [0]
Jun 14 14:31:33 kali gnome-software[1391]: Failed to find one package for kali-patator.desktop, /usr/share/applications/kali-patator.desktop, [0]
Jun 14 14:31:33 kali gnome-software[1391]: Failed to find one package for kali-sorter.desktop, /usr/share/applications/kali-sorter.desktop, [0]
Jun 14 14:31:34 kali gnome-software[1391]: Failed to find one package for kali-bbqsql.desktop, /usr/share/applications/kali-bbqsql.desktop, [0]
Jun 14 14:31:34 kali gnome-software[1391]: Failed to find one package for kali-cowpatty.desktop, /usr/share/applications/kali-cowpatty.desktop, [0]
Jun 14 14:31:35 kali gnome-software[1391]: Failed to find one package for kali-john.desktop, /usr/share/applications/kali-john.desktop, [0]
Jun 14 14:31:35 kali gnome-software[1391]: Failed to find one package for kali-enumiax.desktop, /usr/share/applications/kali-enumiax.desktop, [0]
Jun 14 14:31:35 kali gnome-software[1391]: Failed to find one package for kali-tsk_loaddb.desktop, /usr/share/applications/kali-tsk_loaddb.desktop, [0]
Jun 14 14:31:36 kali gnome-software[1391]: Failed to find one package for kali-cadaver.desktop, /usr/share/applications/kali-cadaver.desktop, [0]
Jun 14 14:31:36 kali gnome-software[1391]: Failed to find one package for kali-dirb.desktop, /usr/share/applications/kali-dirb.desktop, [0]
Jun 14 14:31:38 kali gnome-software[1391]: Failed to find one package for kali-tcpflow.desktop, /usr/share/applications/kali-tcpflow.desktop, [0]
Jun 14 14:31:38 kali gnome-software[1391]: Failed to find one package for kali-wifitap.desktop, /usr/share/applications/kali-wifitap.desktop, [0]
Jun 14 14:31:39 kali gnome-software[1391]: Failed to find one package for kali-pth-smbget.desktop, /usr/share/applications/kali-pth-smbget.desktop, [0]
Jun 14 14:31:39 kali gnome-software[1391]: Failed to find one package for kali-hackrf_info.desktop, /usr/share/applications/kali-hackrf_info.desktop, [0]
Jun 14 14:31:40 kali gnome-software[1391]: Failed to find one package for kali-nbtscan.desktop, /usr/share/applications/kali-nbtscan.desktop, [0]
Jun 14 14:31:40 kali gnome-software[1391]: Failed to find one package for kali-fls.desktop, /usr/share/applications/kali-fls.desktop, [0]
Jun 14 14:31:40 kali gnome-software[1391]: Failed to find one package for kali-bluelog.desktop, /usr/share/applications/kali-bluelog.desktop, [0]
Jun 14 14:31:41 kali gnome-software[1391]: Failed to find one package for kali-img_cat.desktop, /usr/share/applications/kali-img_cat.desktop, [0]
Jun 14 14:31:42 kali gnome-software[1391]: Failed to find one package for kali-blindelephant.desktop, /usr/share/applications/kali-blindelephant.desktop, [0]
Jun 14 14:31:42 kali gnome-software[1391]: Failed to find one package for kali-ptunnel.desktop, /usr/share/applications/kali-ptunnel.desktop, [0]
Jun 14 14:31:43 kali gnome-software[1391]: Failed to find one package for kali-sfuzz.desktop, /usr/share/applications/kali-sfuzz.desktop, [0]
Jun 14 14:31:43 kali gnome-software[1391]: Failed to find one package for kali-openvas-check.desktop, /usr/share/applications/kali-openvas-check.desktop, [0]
Jun 14 14:31:44 kali gnome-software[1391]: Failed to find one package for kali-pdgmail.desktop, /usr/share/applications/kali-pdgmail.desktop, [0]
Jun 14 14:31:44 kali gnome-software[1391]: internal error: failed, but no error code: cancelled
Jun 14 14:31:44 kali gnome-software[1391]: Failed to find one package for kali-exe2hex.desktop, /usr/share/applications/kali-exe2hex.desktop, [0]
journalctl_gnome.txt (61,101 bytes)

Dober

2018-06-14 18:05

reporter   ~0009246

Ok, I have a solution.
On session from non-root user, I ran "sudo gnome-tweaks" and disable the user-theme shell extention. After that I switched to root GUI session and restarted gnome-shell with Alt+F2 and 'r' command. After shell whas restarted, I ran gnome-tweaks again and enabled user-theme shell extention. Then I rebooted and find out, that root-session crashed after logging, so I'm logon to non-root user again, ran "sudo gnome-tweaks" and select "Kali-X" Shell in Apperence section. The end.
This solution woked fine for me on two different computers.

foalma

2018-06-15 01:29

reporter   ~0009247

Having same problem since latest full-upgrade.
I acant use Dobers solution as when in the root user GUI keyboard shortcut keys like Alt-F2 dont work !!!

rhertzog

2018-06-15 08:58

administrator   ~0009248

@Dober the extension list and theme settings are user-specific so it makes no sense that you have to do something as non-root to help fix the behaviour in the root account.

In any case, were you using another different (non-default) theme in the past?

Those who are experiencing the issue, can you paste the output of the following commands?

gsettings list-recursively org.gnome.desktop.interface |grep theme
gsettings list-recursively org.gnome.shell.extensions.user-theme

atdtphreaker

2018-06-15 09:53

reporter   ~0009254

@rhertzog

root@WvEphrkr:~# gsettings list-recursively org.gnome.desktop.interface |grep theme
org.gnome.desktop.interface gtk-theme 'Adwaita-dark'
org.gnome.desktop.interface cursor-theme 'Adwaita'
org.gnome.desktop.interface icon-theme 'Vibrancy-Kali-Dark'
org.gnome.desktop.interface gtk-key-theme 'Default'
root@WvEphrkr:~#



root@WvEphrkr:~# gsettings list-recursively org.gnome.shell.extensions.user-theme
org.gnome.shell.extensions.user-theme name 'Kali-X'
root@WvEphrkr:~#



Thank you!

atdtphreaker

2018-06-15 11:23

reporter   ~0009255

@rhertzog

The ABOVE OUTPUT was on a dual-boot MacBook Pro

The FOLLOWING OUTPUT was Kali Live w/ persistence (usb) (on MacBook Pro)

root@kali:~# gsettings list-recursively org.gnome.desktop.interface |grep theme
org.gnome.desktop.interface gtk-theme 'Kali-X'
org.gnome.desktop.interface cursor-theme 'Adwaita'
org.gnome.desktop.interface icon-theme 'Vibrancy-Kali-Dark'
org.gnome.desktop.interface gtk-key-theme 'Default'
root@kali:~#




root@kali:~# gsettings list-recursively org.gnome.shell.extensions.user-theme
org.gnome.shell.extensions.user-theme name 'Kali-X'
root@kali:~#




Thanks.

Dober

2018-06-15 11:27

reporter   ~0009256

@rhertzog
Hmm, but "sudo gnome-tweaks" run Tweaks from root and in root environment

rhertzog

2018-06-15 13:09

administrator   ~0009257

@dober good point, so the change of the theme for the root user might be relevant after all and it might be the user-theme extension the root cause. That said I'm still unable to reproduce the issue.

@atdtphreaker Thanks for the input. The settings you are showing are not the default settings.

By default you get something like this:
root@kali:~# gsettings list-recursively org.gnome.desktop.interface |grep theme
org.gnome.desktop.interface gtk-theme 'Kali-X'
org.gnome.desktop.interface cursor-theme 'Adwaita'
org.gnome.desktop.interface icon-theme 'Vibrancy-Kali'
org.gnome.desktop.interface gtk-key-theme 'Default'
root@kali:~# gsettings list-recursively org.gnome.shell.extensions.user-theme
org.gnome.shell.extensions.user-theme name 'Kali-X'

Can you try to reset your settings to match the above configuration and see if it helps you fix the issue ?

atdtphreaker

2018-06-15 14:05

reporter   ~0009259

@rhertzog

I did the 'reset' and the following result seems to equal yours BUT the issue still remains. I then restarted Kali and the issue continues to remain.



root@WvEphrkr:~# gsettings list-recursively org.gnome.desktop.interface |grep theme
org.gnome.desktop.interface gtk-theme 'Kali-X'
org.gnome.desktop.interface cursor-theme 'Adwaita'
org.gnome.desktop.interface icon-theme 'Vibrancy-Kali'
org.gnome.desktop.interface gtk-key-theme 'Default'
root@WvEphrkr:~# gsettings list-recursively org.gnome.shell.extensions.user-theme
org.gnome.shell.extensions.user-theme name 'Kali-X'
root@WvEphrkr:~#



Thanks.

foalma

2018-06-15 17:12

reporter   ~0009260

I'm definitely no expert but are we sure this is a gnome problem, surely a non-root user uses the same gnome shell and it that has no problems ?
This is really causing me a headache !!!

foalma

2018-06-16 02:49

reporter   ~0009261

This bug warrants more than a minor.It makes Kali a real pain to use.
Here i my settings of both root user and test user and they are identical.

Root User settings

root@IWNRP:~# gsettings list-recursively org.gnome.desktop.interface |grep theme
org.gnome.desktop.interface gtk-theme 'Kali-X'
org.gnome.desktop.interface cursor-theme 'Adwaita'
org.gnome.desktop.interface icon-theme 'Vibrancy-Kali'
org.gnome.desktop.interface gtk-key-theme 'Default'
root@IWNRP:~# gsettings list-recursively org.gnome.shell.extensions.user-theme
org.gnome.shell.extensions.user-theme name 'Kali-X'

Test user settings

test@IWNRP:~$ gsettings list-recursively org.gnome.desktop.interface |grep theme
org.gnome.desktop.interface gtk-theme 'Kali-X'
org.gnome.desktop.interface cursor-theme 'Adwaita'
org.gnome.desktop.interface icon-theme 'gnome'
org.gnome.desktop.interface gtk-key-theme 'Default'
test@IWNRP:~$ gsettings list-recursively org.gnome.shell.extensions.user-theme
org.gnome.shell.extensions.user-theme name 'Kali-X'

Dudley

2018-06-17 21:57

reporter   ~0009265

Alt+F2 also didn't work for me. I played around with some of the themes for the test user but couldn't get it to not work as for the root user.

root user:
gsettings list-recursively org.gnome.desktop.interface |grep theme
org.gnome.desktop.interface gtk-theme 'Greybird'
org.gnome.desktop.interface cursor-theme 'Adwaita'
org.gnome.desktop.interface icon-theme 'Vibrancy-Kali-Dark'
org.gnome.desktop.interface gtk-key-theme 'Default'
gsettings list-recursively org.gnome.shell.extensions.user-theme
org.gnome.shell.extensions.user-theme name 'Kali-X'

Other user
org.gnome.desktop.interface gtk-theme 'Greybird'
org.gnome.desktop.interface cursor-theme 'Adwaita'
org.gnome.desktop.interface icon-theme 'Vibrancy-Kali-Dark'
org.gnome.desktop.interface gtk-key-theme 'Default'
gsettings list-recursively org.gnome.shell.extensions.user-theme
org.gnome.shell.extensions.user-theme name 'Kali-X'

atdtphreaker

2018-06-18 03:58

reporter   ~0009266

@rhertzog

Just a bit of additional information.

I am (sometimes, NOT frequently) able to access 'hot-corner' (in-turn the 'search bar' appears). Upon doing so I am the able to access 'dock' icons (1 TIME only) and open them (MINUS Firefox) in an OFFSET manner. After opening, the application is then (100%) inaccessible..BUT it opens from the dock. NOTE, this is occurring while the 'search bar' is open.


Thanks, I appreciate your time.

rhertzog

2018-06-18 09:41

administrator   ~0009269

At this point, it's not clear that user-theme and the themes are related to this problem. Do you have non-default extensions installed?

If yes, did you try to deactivate them one-by-one until you found the problematic one?

You can force remove an extension by deleting its code in ~/.local/share/gnome-shell/extensions/

Or you can do it with gsettings:
# see the list of extensions
gsettings get org.gnome.shell enabled-extensions
# set a new list (dropping some extensions)
gsettings set org.gnome.shell enabled-extensions "[ ... ]"

Obviously you have to replace "..." with some values. The default list is this one:
['apps-menu@gnome-shell-extensions.gcampax.github.com','places-menu@gnome-shell-extensions.gcampax.github.com','workspace-indicator@gnome-shell-extensions.gcampax.github.com','dash-to-dock@micxgx.gmail.com','ProxySwitcher@flannaghan.com','EasyScreenCast@iacopodeenosee.gmail.com','user-theme@gnome-shell-extensions.gcampax.github.com']

You can do the same with "gnome-tweaks" if you are able to run it (graphical application).

atdtphreaker

2018-06-18 13:05

reporter   ~0009271

@rhertzog

*I haven't any non-default extensions installed.


I just received this "CRITICAL" error upon using "gnome-tweaks".

root@kali:~# gnome-tweaks

(gnome-shell-extension-prefs:2924): Gtk-CRITICAL **: 08:56:57.696: gtk_grid_attach: assertion '_gtk_widget_get_parent (child) == NULL' failed



Thank you.

rhertzog

2018-06-18 13:25

administrator   ~0009272

Ok, but it's still interesting to try to de-activate the extensions to see if the problem is present even with all extensions turned off.

atdtphreaker

2018-06-18 23:21

reporter   ~0009277

@rhertzog

Okay, I de-activated ALL the extensions individually and switched extensions 'off' at the top. Nothing changed UNTIL I 'restart'ed Kali. I was then able to access pull-down menus. I then INDIVIDUALLY switched on extensions one by one (testing each one prior to moving onto the next one) They appeared and ALL worked plus were accessible *MINUS the 'Workspaces' (didn't appear even after adjusting from dynamic/static/etc). All user themes seemed to work (but I of course switched back to the 'default' settings). I then 'restart'ed Kali again, logged in... And EVERYTHING was back to being INACCESSIBLE. Again, the 'Workspaces' DID NOT appear/work during THIS entire testing while the other extensions did function.


Thanks.

atdtphreaker

2018-06-19 00:00

reporter   ~0009278

@rhertzog

*UPDATE

This time I 'activate'd ALL extensions *MINUS the 'Workspaces' extension. ...then 'restart'ed Kali and ALL items were ACCESSIBLE. I then 'activat'ed' the 'Workspaces' extension BUT it did not appear. I then 'restart'ed Kali (with the 'Workspaces' extension 'activate'd), logged in, and EVERYTHING was back to being INACCESSIBLE.


...Workspace issue?


Thanks for you time.

atdtphreaker

2018-06-19 00:54

reporter   ~0009279

@rhertzog

*Let me be clear, the "Workspaces to dock" extension seems to be causing ALL the INACCESSIBILTY, NOT the Workspaces themselves. They do work fine (as do the other FORMALLY INACCESSIBLE functions) when the "Workspaces to dock" extension is switched 'off'.


Again, thanks.

rhertzog

2018-06-19 09:35

administrator   ~0009283

Thanks for this, we're making progress. We will look into updating this extension to see if it helps. Actually a newer version is already available through Debian packaged under a slightly different name.

Try this:
apt -o dpkg::options::="--force-overwrite" install gnome-shell-extension-workspaces-to-dock

Does it work better with version 45 of the extension as provided by Debian?

In any case, we will sync with Debian and get rid of this divergence.

atdtphreaker

2018-06-19 10:20

reporter   ~0009284

@rhertzog


"apt -o dpkg::options::="--force-overwrite" install gnome-shell-extension-workspaces-to-dock"
 
^^ This ^^ 100% FIXED IT! All seem to functioning properly now.


Thank you!

sbrun

2018-06-19 12:56

manager   ~0009285

It's fixed with new package gnome-shell-extension-workspaces-to-dock version 45-2~kali1 (replaces gnome-shell-extension-workspacestodock) + kali-desktop-gnome version 2018.2.2
Both packages are now in kali-rolling

Issue History

Date Modified Username Field Change
2018-06-10 18:48 Dober New Issue
2018-06-10 19:10 elwood Status new => acknowledged
2018-06-10 23:51 atdtphreaker Note Added: 0009231
2018-06-12 08:22 g0tmi1k Severity block => minor
2018-06-13 07:35 rhertzog Note Added: 0009238
2018-06-13 10:01 atdtphreaker Note Added: 0009241
2018-06-13 12:59 atdtphreaker Note Added: 0009243
2018-06-14 03:03 Dudley File Added: journalctl_gnome.txt
2018-06-14 03:03 Dudley Note Added: 0009245
2018-06-14 18:05 Dober Note Added: 0009246
2018-06-15 01:29 foalma Note Added: 0009247
2018-06-15 08:58 rhertzog Note Added: 0009248
2018-06-15 09:53 atdtphreaker Note Added: 0009254
2018-06-15 11:23 atdtphreaker Note Added: 0009255
2018-06-15 11:27 Dober Note Added: 0009256
2018-06-15 13:09 rhertzog Note Added: 0009257
2018-06-15 14:05 atdtphreaker Note Added: 0009259
2018-06-15 17:12 foalma Note Added: 0009260
2018-06-16 02:49 foalma Note Added: 0009261
2018-06-17 21:57 Dudley Note Added: 0009265
2018-06-18 03:58 atdtphreaker Note Added: 0009266
2018-06-18 09:41 rhertzog Note Added: 0009269
2018-06-18 13:05 atdtphreaker Note Added: 0009271
2018-06-18 13:25 rhertzog Note Added: 0009272
2018-06-18 23:21 atdtphreaker Note Added: 0009277
2018-06-19 00:00 atdtphreaker Note Added: 0009278
2018-06-19 00:54 atdtphreaker Note Added: 0009279
2018-06-19 09:21 rhertzog Assigned To => sbrun
2018-06-19 09:21 rhertzog Status acknowledged => assigned
2018-06-19 09:35 rhertzog Note Added: 0009283
2018-06-19 10:20 atdtphreaker Note Added: 0009284
2018-06-19 12:56 sbrun Note Added: 0009285
2018-06-20 07:11 rhertzog Status assigned => resolved
2018-06-20 07:11 rhertzog Resolution open => fixed